/*=========== TABLE OF CONTENTS ===========
1. Button CSS
2. Selectbox CSS
3. Text CSS
4. Heading CSS
5. Container CSS
==========================================*/

/*-------------------------------------
  1. Button CSS
--------------------------------------*/
.ui.button.round {
  border-radius: var(--radius-xs);
}

.ui.button.size-xs {
  height: 48px;
  padding-left: var(--space-2xl);
  padding-right: var(--space-2xl);
  font-size: 16px;
  @media only screen and (max-width: 550px) {
    height: 42px;
    font-size: 14px;
  }
}

.ui.button.fill.red_700 {
  background-color: var(--red_700);
  box-shadow: var(--shadow-sm);
  color: var(--icon_white);
}

.ui.button.fill.red_900 {
  background-color: var(--red_900);
  box-shadow: var(--shadow-sm);
  color: var(--icon_white);
}

.ui.button {
  text-align: center;
  display: flex;
  cursor: pointer;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  color: var(--icon_white);
  font-size: 16px;
  font-weight: 700;
  gap: var(--space-2xl);
  background-color: var(--red_900);
  box-shadow: var(--shadow-sm);
  border-radius: var(--radius-xs);
  @media only screen and (max-width: 1440px) {
    font-size: 13px;
  }
}

/*-------------------------------------
  2. Selectbox CSS
--------------------------------------*/
.ui.selectbox.square {
  border-radius: 0px;
}

.ui.selectbox.size-xs {
  height: 16px;
  padding-left: var(--space-2xl);
  font-size: 14px;
}

.ui.selectbox {
  display: flex;
}

/*-------------------------------------
  3. Text CSS
--------------------------------------*/
.ui.text.size-textmd {
  font-size: 16px;
  font-weight: 400;
  @media only screen and (max-width: 1440px) {
    font-size: 13px;
  }
}

.ui.text.size-paragraph_16 {
  font-size: 16px;
  font-weight: 400;
  @media only screen and (max-width: 1440px) {
    font-size: 13px;
  }
}

.ui.text.size-paragraph_14 {
  font-size: 14px;
  font-weight: 400;
}

.ui.text.size-textxs {
  font-size: 16px;
  font-weight: 400;
  @media only screen and (max-width: 1440px) {
    font-size: 13px;
  }
}

.ui.text {
  color: var(--blue_gray_600);
  font-family: Roboto;
}

/*-------------------------------------
  4. Heading CSS
--------------------------------------*/
.ui.heading.size-textlg {
  font-size: 36px;
  font-weight: 500;
  @media only screen and (max-width: 1440px) {
    font-size: 30px;
  }

  @media only screen and (max-width: 1050px) {
    font-size: 28px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 24px;
  }
}

.ui.heading.size-headingmd {
  font-size: 24px;
  font-weight: 700;
  @media only screen and (max-width: 1440px) {
    font-size: 20px;
  }

  @media only screen and (max-width: 1050px) {
    font-size: 18px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 16px;
  }
}

.ui.heading.size-headers_h1___page_header {
  font-size: 36px;
  font-weight: 500;
  @media only screen and (max-width: 1440px) {
    font-size: 30px;
  }

  @media only screen and (max-width: 1050px) {
    font-size: 28px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 24px;
  }
}

.ui.heading.size-headers_h2___section_or_card_header {
  font-size: 24px;
  font-weight: 700;
  @media only screen and (max-width: 1440px) {
    font-size: 20px;
  }

  @media only screen and (max-width: 1050px) {
    font-size: 18px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 16px;
  }
}

.ui.heading.size-headers_h3 {
  font-size: 20px;
  font-weight: 700;
  @media only screen and (max-width: 1440px) {
    font-size: 17px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 15px;
  }
}

.ui.heading.size-texts {
  font-size: 36px;
  font-weight: 500;
  @media only screen and (max-width: 1440px) {
    font-size: 30px;
  }

  @media only screen and (max-width: 1050px) {
    font-size: 28px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 24px;
  }
}

.ui.heading.size-headingxs {
  font-size: 20px;
  font-weight: 700;
  @media only screen and (max-width: 1440px) {
    font-size: 17px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 15px;
  }
}

.ui.heading.size-headings {
  font-size: 24px;
  font-weight: 700;
  @media only screen and (max-width: 1440px) {
    font-size: 20px;
  }

  @media only screen and (max-width: 550px) {
    font-size: 18px;
  }
}

.ui.heading {
  color: var(--grayscale_gray_8);
  font-family: Roboto;
}

/*-------------------------------------
  5. Container CSS
--------------------------------------*/
.container-xs {
  max-width: 1678px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}
